Name: dvd2xvid
Version: 0.7.0
Release: %mkrel 2

Summary: dvd2xvid, converts DVDs into xvid the format.
License: GPL v2
Group: Sound
URL: http://www.neoversum.org/
Source: http://www.neoversum.org/download/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: dos2unix
BuildRequires: libdvdread-devel >= 0.9.4
BuildRequires: qt3-devel
BuildRequires: desktop-file-utils
Requires: libdvdread3 >= 0.9.4
Requires: transcode >= 0.6.10
Requires: libxvid4 >= 1.0

%description
Dvd2xvid is a GUI with the main goal: To convert dvd's into xvid the format.

%prep
%setup -q -n %{name}-%{version}


%build
export QTDIR=%_prefix/lib/qt3
%make 

%install
rm -rf $RPM_BUILD_ROOT

install -dm 755 %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}

install -dm 755 %{buildroot}%{_datadir}/%{name}
install -dm 755 %{buildroot}%{_datadir}/%{name}/icons
install -m 644 icons/*.png %{buildroot}%{_datadir}/%{name}/icons

install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 icons/%{name}32.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_datadir}/dvd2xvid/language
install -m 0644 language/de.qm %{buildroot}/%{_datadir}/dvd2xvid/language/de.qm
install -m 0644 language/en.qm %{buildroot}/%{_datadir}/dvd2xvid/language/en.qm
install -m 0644 language/en.ts %{buildroot}/%{_datadir}/dvd2xvid/language/en.ts
install -m 0644 language/de.ts %{buildroot}/%{_datadir}/dvd2xvid/language/de.ts


# menu
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Name=Dvd2xvid
Comment=Convert dvd's to xvid the format.
TryExec=%{name}
Exec=%{name}
Icon=%{name}
Terminal=false
Categories=X-MandrivaLinux-Multimedia-Video;AudioVideo;
EOF


%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post 
%{update_desktop_database}
%{update_menus}

%postun 
%{clean_desktop_database}
%{clean_menus}


%files -f %{name}.lang
%defattr(-,root,root)
%doc COPYRIGHT
%{_bindir}/*
%{_datadir}/%{name}/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_datadir}/dvd2xvid/language/*.ts
%{_datadir}/dvd2xvid/language/*.qm


%changelog
* Tue Jun 02 2009 Texstar <texstar@gmail.com> 0.7.0-2pclos2009
- fix language files

* Wed Aug 20 2008 Slick50 <slick50@linuxgator.org> 0.7.0-1pclos2007
- initial build
